# ----------- Gradle / 构建产物 -----------
.gradle/
build/
*.apk
*.aab

# ----------- 本地密钥 / 环境文件 -----------
local.properties
*.jks
*.keystore
google-services.json

# ----------- IDEA / AS 缓存 & 个人配置 -----------
.idea/caches/
.idea/libraries/
.idea/workspace.xml
.idea/tasks.xml
.idea/navEditor.xml
.idea/assetWizardSettings.xml
*.iml

# ----------- OS 垃圾 -----------
.DS_Store
Thumbs.db

# ----------- NDK / 外部构建缓存 -----------
.externalNativeBuild
.cxx
*.hprof